const GObject                      = imports.gi.GObject
const { SnippetHook, GLSLEffect }  = imports.gi.Shell

// local modules
import { loadShader }              from '../utils/io.js'

// ------------------------------------------------------------------- [imports]

const { declarations, code } = loadShader (
    import.meta.url,
    './shader/clip_shadow.frag'
)

class ClipShadowEffect extends GLSLEffect {
    vfunc_build_pipeline () {
        this.add_glsl_snippet (SnippetHook.FRAGMENT, declarations, code, false)
    }

    vfunc_pre_paint (node, ctx) {
        var _a
        const res = super.vfunc_pre_paint (node, ctx)

        // Reset to default blend string.
        ;(_a = this.get_pipeline ()) === null || _a === void 0
            ? void 0
            : _a.set_blend ('RGBA = ADD(SRC_COLOR, DST_COLOR*(1-SRC_COLOR[A]))')
        return res
    }
}

export default GObject.registerClass ({}, ClipShadowEffect)
