// extension.js
// We will load our app.js in this file but nothing else.

// Load extensions from ./app.js via import(), so that we can
// try ES modules in our extensions.
//
// https://gitlab.gnome.org/GNOME/gjs/-/blob/master/doc/ESModules.md
const extension = import ('./app.js')
    .then ((app) => new app.Extension ())
    .catch ((err) => err_msg ('Failed to load extensions.', err))

function enable () {
    extension
        .then ((ext) => (ext === null || ext === void 0 ? void 0 : ext.enable ()))
        .catch ((err) => err_msg ('Failed to enable extension', err))
}

function disable () {
    extension
        .then ((ext) =>
            ext === null || ext === void 0 ? void 0 : ext.disable ()
        )
        .catch ((err) => err_msg ('Failed to disable extension', err))
}

function init () {
    /** This function do nothing here */
}


const err_msg = (msg, err) => {
    log ('[Rounded Corners Effect] ' + msg)
    logError (err)
}
