/** Location of uniform variants of rounded corners effect */
export class Uniforms {
    constructor () {
        this.bounds = 0
        this.clip_radius = 0
        this.inner_bounds = 0
        this.inner_clip_radius = 0
        this.pixel_step = 0
        this.skip = 0
        this.border_width = 0
        this.border_brightness = 0
    }
}

/** Bounds of rounded corners  */
export class Bounds {
    constructor () {
        this.x1 = 0
        this.y1 = 0
        this.x2 = 0
        this.y2 = 0
    }
}

export class Padding {
    constructor () {
        this.left = 0
        this.right = 0
        this.top = 0
        this.bottom = 0
    }
}

export const box_shadow_css = (box_shadow) => {
    return `box-shadow: ${box_shadow.horizontal_offset}px
            ${box_shadow.vertical_offset}px
            ${box_shadow.blur_offset}px
            ${box_shadow.spread_radius}px
            rgba(0,0,0, ${box_shadow.opacity / 100})`
}
